﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using DotNettyFrom.db;

namespace DotNettyFrom.form
{
    public delegate void OnItemHandlerResult(int action, string message);

    public partial class ItemEditorForm : Form
    {
        public event OnItemHandlerResult ItemHandler;
        private int _id;

        public ItemEditorForm(int id = int.MinValue)
        {
            this._id = id;
            InitializeComponent();
        }

        private void ItemEditorForm_Load(object sender, EventArgs e)
        {
            CBInputType.SelectedIndex = 0;

            if (_id != int.MinValue)
            {
                UpdateOption();
            }
        }

        private void UpdateOption()
        {
            BtnOp.Text = "修改";
            WvBean wb = DbHelper.GetInstance().SelectOneCmdById(_id);
            Console.WriteLine(wb.ToString());
            this.Text = "修改ID - " + wb.id;
        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar != 8 && !Char.IsDigit(e.KeyChar))
            {
                e.Handled = true;
            }
        }

        private void CBInputType_SelectedIndexChanged(object sender, EventArgs e)
        {
            Console.WriteLine(CBInputType.SelectedIndex);
        }

        private void TbItemId_TextChanged(object sender, EventArgs e)
        {
            if (CBInputType.SelectedIndex == 0)
            {
                //10 ->16
                


            }
            else if (CBInputType.SelectedIndex == 1)
            {
            }
        }
    }
}